<?php

declare(strict_types=1);

namespace Kylin\Pay\Service;

use Kylin\Pay\Artful\Contract\ServiceProviderInterface;
use Kylin\Pay\Artful\Exception\ContainerException;
use Kylin\Pay\Pay;
use Kylin\Pay\Provider\Alipay;

class AlipayServiceProvider implements ServiceProviderInterface
{
    /**
     * @throws ContainerException
     */
    public function register(mixed $data = null): void
    {
        $service = new Alipay();

        Pay::set(Alipay::class, $service);
        Pay::set('alipay', $service);
    }
}
